Bug 424303 - Export report as csv file gives a html file
Summary: Export report as csv file gives a html file
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: reports (show other bugs)
Version: 5.0.8
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-16 20:01 UTC by antoine
Modified: 2021-06-30 01:24 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 5.1.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description antoine 2020-07-16 20:01:57 UTC
SUMMARY


STEPS TO REPRODUCE
1. Open a report
2. Clic the Export button, select the csv file combobox
3. give the name  "test" then export

OBSERVED RESULT

a file "test" file is created, it is a html file

if the file is named test.csv (you have to add .csv by yourself), a correct csv file is created


EXPECTED RESULT

it should not be necessary to add ".csv" at the end of the filename 

SOFTWARE/OS VERSIONS
Kmymoney 5.0.8
Xubuntu 20.04 (desktop environment = XFCE)
Comment 1 Dawid Wróbel 2021-06-30 01:23:53 UTC
Git commit 6ee4bb9121182d0e39065e3850348d1e2e766ed6 by Dawid Wróbel.
Committed on 30/06/2021 at 01:22.
Pushed by wrobelda into branch '5.1'.

Use mime types in Reports export dialog
FIXED-IN: 5.1.3

M  +14   -3    kmymoney/plugins/views/reports/kreportsview.cpp
M  +3    -3    kmymoney/plugins/views/reports/kreportsview_p.h

https://invent.kde.org/office/kmymoney/commit/6ee4bb9121182d0e39065e3850348d1e2e766ed6
Comment 2 Dawid Wróbel 2021-06-30 01:24:13 UTC
Git commit 23590f4d7f18f89e21549cbea42e977425b19483 by Dawid Wrobel, on behalf of Dawid Wróbel.
Committed on 30/06/2021 at 01:24.
Pushed by wrobelda into branch 'master'.

Use mime types in Reports export dialog
FIXED-IN: 5.1.3


(cherry picked from commit 6ee4bb9121182d0e39065e3850348d1e2e766ed6)

M  +14   -3    kmymoney/plugins/views/reports/kreportsview.cpp
M  +3    -3    kmymoney/plugins/views/reports/kreportsview_p.h

https://invent.kde.org/office/kmymoney/commit/23590f4d7f18f89e21549cbea42e977425b19483